Bug 542036 - Review Request: php-fpdf - PHP library to generate PDF files
Review Request: php-fpdf - PHP library to generate PDF files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 544724 544722
  Show dependency treegraph
 
Reported: 2009-11-27 20:47 EST by David Nalley
Modified: 2013-01-13 07:46 EST (History)
8 users (show)

See Also:
Fixed In Version: php-fpdf-1.6-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-24 13:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-11-27 20:47:28 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-fpdf.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-fpdf-1.6-1.fc12.src.rpm
Description: 
FPDF is a PHP class which allows to generate PDF files with pure PHP, that is
to say without using the PDFlib library. F from FPDF stands for Free: you may
use it for any kind of usage and modify it to suit your needs.



rpmlint output: 
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/php-fpdf-1.6-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/php-fpdf-1.6-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint php-fpdf.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-11-28 09:22:11 EST
Just a few comments for now:

- You don't provide a source url,
  please add a comment like in http://fedoraproject.org/wiki/Packaging/SourceURL#Troublesome_URLs

- More than half of the package are docs/tutorials, how about spliting in a 
  seperate package?
  Ok, its very small anyway, but I'd like to always install as less as 
  nessessary, just a point of view ;)

- You do a lot with chmod -x and the timestamps while converting to utf-8 are not
  preserved:

How about:
find -type f | xargs chmod -x
dos2unix tutorial/*
dos2unix install.txt license.txt
# Convert to utf-8
pushd tutorial
for file in calligra.z 20k_c1.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
        touch -r $file $file.new && \
    mv $file.new $file
done
popd

?
Comment 2 David Nalley 2009-11-28 13:00:06 EST
(In reply to comment #1)
> Just a few comments for now:
> 
> - You don't provide a source url,
>   please add a comment like in
> http://fedoraproject.org/wiki/Packaging/SourceURL#Troublesome_URLs

Done, I provided additional explanation in addition to the url. 

> 
> - More than half of the package are docs/tutorials, how about spliting in a 
>   seperate package?
>   Ok, its very small anyway, but I'd like to always install as less as 
>   nessessary, just a point of view ;)

Done


> 
> - You do a lot with chmod -x and the timestamps while converting to utf-8 are
> not
>   preserved:
> 
> How about:
> find -type f | xargs chmod -x
> dos2unix tutorial/*
> dos2unix install.txt license.txt
> # Convert to utf-8
> pushd tutorial
> for file in calligra.z 20k_c1.txt; do
>     iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
>         touch -r $file $file.new && \
>     mv $file.new $file
> done
> popd

As you can likely tell, I just iterated over the files. Thanks for pointing out the need to clean that up. I think that's done now. 



SPEC: http://ke4qqq.fedorapeople.org/php-fpdf.spec
SRPM: http://ke4qqq.fedorapeople.org/php-fpdf-1.6-2.fc12.src.rpm

Thanks for the review.
Comment 3 Remi Collet 2010-01-02 02:54:21 EST
Juste a comment about
Requires:  php >= 4.2.0

When requiring a specific PHP version, check must be done against php-common to avoid unwanted deps (mainly httpd)

In this case, 4.2.0 have really no sense. I don't know any version (even EL4) which use older.

Running pci on fpdf.php show it requires php-gd.

+
Comment 4 David Nalley 2010-01-03 19:45:36 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-fpdf.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-fpdf-1.6-3.fc12.src.rpm

Remi: 

Thanks - I stripped php completely - added a require for php-gd since php-gd requires php

Thanks
Comment 5 Christof Damian 2010-01-28 09:56:40 EST
One thing to note is that fpdf doesn't seem to be maintained anymore. Version 1.6 is from 2008. 

TCPDF seems to be a fork or at least a compatible library which is still maintained (last version 4.8.030 is from January 2010). See http://www.tcpdf.org/ for more information.

Some projects are still using fpdf, so it might be worth packaging it, but it might be obsolete soon.
Comment 6 David Nalley 2010-01-29 11:21:36 EST
(In reply to comment #5)
> One thing to note is that fpdf doesn't seem to be maintained anymore. Version
> 1.6 is from 2008. 
> 
> TCPDF seems to be a fork or at least a compatible library which is still
> maintained (last version 4.8.030 is from January 2010). See
> http://www.tcpdf.org/ for more information.
> 
> Some projects are still using fpdf, so it might be worth packaging it, but it
> might be obsolete soon.    


Yes - unfortunately at least three packages within Fedora already bundle fpdf - (pnp4nagios, moodle, and Sahana)
Comment 7 Christof Damian 2010-01-29 11:26:31 EST
(In reply to comment #6)
> Yes - unfortunately at least three packages within Fedora already bundle fpdf -
> (pnp4nagios, moodle, and Sahana)    

That is a good reason. Doing a tcpdf packages after this one should be easy anyway.
Comment 8 Iain Arnell 2010-09-04 02:35:47 EDT
+ source files match upstream.  
    41cde491517a5e7515da84f95bb4e9d7  fpdf16.tgz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    MIT

+ license is open source-compatible.
- license text included
    license.txt need to be in both main package and -doc sub-package

+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2446844

+ package installs properly.
+ rpmlint has no serious complaints:
    php-fpdf.noarch: I: checking
    php-fpdf.noarch: I: checking-url http://www.fpdf.org (timeout 10 seconds)
    php-fpdf.noarch: W: no-documentation
    php-fpdf.src: I: checking
    php-fpdf.src: I: checking-url http://www.fpdf.org (timeout 10 seconds)
    php-fpdf.src: W: invalid-url Source0: fpdf16.tgz
    php-fpdf-doc.noarch: I: checking
    php-fpdf-doc.noarch: I: checking-url http://www.fpdf.org (timeout 10 seconds)
    3 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ final provides and requires are sane:
    php-fpdf = 1.6-3.fc15
=
    php-gd

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ %docs are not necessary for the proper functioning of the package.


The only problem is due to a change in the guidelines since you prepared the package. You need to have license.txt as %doc in the main package as well as the doc sub-package. Add that one line to the spec and it's APPROVED.
Comment 9 David Nalley 2010-09-05 00:13:37 EDT
Thanks for the review Iain: 

I corrected the licensing issue. 

SPEC URL: http://ke4qqq.fedorapeople.org/php-fpdf.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-fpdf-1.6-4.fc13.src.rpm

Since you've marked review as APPROVED, I'll request SCM in the same comment


New Package SCM Request
=======================
Package Name: php-fpdf
Short Description: PHP library to generate PDF iles
Owners: ke4qqq
Branches: f12, f13, f14, el5, el6
InitialCC:
Comment 10 Kevin Fenzi 2010-09-05 13:41:08 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-09-05 15:42:41 EDT
php-fpdf-1.6-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.fc12
Comment 12 Fedora Update System 2010-09-05 15:42:46 EDT
php-fpdf-1.6-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.fc13
Comment 13 Fedora Update System 2010-09-05 15:42:52 EDT
php-fpdf-1.6-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.el5
Comment 14 Fedora Update System 2010-09-05 15:42:57 EDT
php-fpdf-1.6-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.fc14
Comment 15 Fedora Update System 2010-09-06 01:15:30 EDT
php-fpdf-1.6-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-fpdf'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.fc14
Comment 16 Fedora Update System 2010-09-06 14:25:20 EDT
php-fpdf-1.6-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-fpdf'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-fpdf-1.6-4.el5
Comment 17 Fedora Update System 2010-09-24 13:38:11 EDT
php-fpdf-1.6-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-09-24 16:33:42 EDT
php-fpdf-1.6-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-09-24 16:39:37 EDT
php-fpdf-1.6-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-09-25 01:41:05 EDT
php-fpdf-1.6-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.